admin-providers
Validate Llm Provider
Validate a single LLM provider configuration.
Checks:
- API key validity
- Model availability
POST
/
admin
/
providers
/
validate
/
llm
Validate Llm Provider
curl --request POST \
--url https://api.example.com/admin/providers/validate/llm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "<string>",
"provider_type": "<string>",
"voice_id": "<string>",
"model": "<string>"
}
'import requests
url = "https://api.example.com/admin/providers/validate/llm"
payload = {
"provider": "<string>",
"provider_type": "<string>",
"voice_id": "<string>",
"model": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider: '<string>',
provider_type: '<string>',
voice_id: '<string>',
model: '<string>'
})
};
fetch('https://api.example.com/admin/providers/validate/llm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Previous
Validate Voice IdQuick validation of a specific voice ID for a TTS provider.
Example:
GET /providers/validate/voice/elevenlabs/EXAVITQu4vr4xnSDxMaL
Next
⌘I
Validate Llm Provider
